Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class MapExpression

Represents a map expression [1 : 2, "a" : "b", x : y] which creates a mutable Map

author:
  James Strachan

version:
  $Revision: 8561 $

Field Summary
`List` | `mapEntryExpressions`

Constructor Summary
`MapExpression()`
`MapExpression(List mapEntryExpressions)`

Method Summary
`void` | `addMapEntryExpression(MapEntryExpression expression)`
`void` | `addMapEntryExpression(Expression keyExpression, Expression valueExpression)`
`List` | `getMapEntryExpressions()`
`String` | `getText()`
`boolean` | `isDynamic()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### MapExpression

    public MapExpression()

### MapExpression

    public MapExpression(List mapEntryExpressions)

Method Detail

### addMapEntryExpression

    public void addMapEntryExpression(MapEntryExpression expression)

### addMapEntryExpression

    public void addMapEntryExpression(Expression keyExpression, Expression valueExpression)

### getMapEntryExpressions

    public List getMapEntryExpressions()

### getText

    public String getText()

### isDynamic

    public boolean isDynamic()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)